Create an active link for one readable board item.
using System.Net.Http.Headers;var client = new HttpClient();var request = new HttpRequestMessage{ Method = HttpMethod.Post, RequestUri = new Uri("https://example.com/api/workspace/boards/example/items/example/links"), Content = new StringContent("{ \"LinkType\": 0, \"Direction\": 0, \"OtherBoardItemId\": \"example\" }") { Headers = { ContentType = new MediaTypeHeaderValue("application/json") } }};using (var response = await client.SendAsync(request)){ response.EnsureSuccessStatusCode(); var body = await response.Content.ReadAsStringAsync(); Console.WriteLine(body);}const url = 'https://example.com/api/workspace/boards/example/items/example/links';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"LinkType":0,"Direction":0,"OtherBoardItemId":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/workspace/boards/example/items/example/links \ --header 'Content-Type: application/json' \ --data '{ "LinkType": 0, "Direction": 0, "OtherBoardItemId": "example" }'Authorizations
Section titled “Authorizations”- None
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Query Parameters
Section titled “Query Parameters”Optional access token for clients that cannot set Authorization headers. Prefer Authorization: Bearer <token> when possible.
Request Body
Section titled “Request Body”Request to create an active board item link.
object
Request to create an active board item link.
object
Request to create an active board item link.
object
Responses
Section titled “Responses”OK
object
Grouped active board item links for one item.
object
Runtime board item link row displayed relative to one item.
object
Compact board item summary used by item-link surfaces.
object
Runtime board item link row displayed relative to one item.
object
Compact board item summary used by item-link surfaces.
object
Runtime board item link row displayed relative to one item.
object
Compact board item summary used by item-link surfaces.
object
object
object
object
object
Example
{ "Data": { "Parent": { "LinkType": 0, "Direction": 0 }, "Children": [ { "LinkType": 0, "Direction": 0 } ], "Related": [ { "LinkType": 0, "Direction": 0 } ] }, "Errors": [ { "Type": 0, "Severity": 0 } ], "Warnings": [ { "Type": 0, "Severity": 0 } ]}Bad Request
object
Grouped active board item links for one item.
object
Runtime board item link row displayed relative to one item.
object
Compact board item summary used by item-link surfaces.
object
Runtime board item link row displayed relative to one item.
object
Compact board item summary used by item-link surfaces.
object
Runtime board item link row displayed relative to one item.
object
Compact board item summary used by item-link surfaces.
object
object
object
object
object
Example
{ "Data": { "Parent": { "LinkType": 0, "Direction": 0 }, "Children": [ { "LinkType": 0, "Direction": 0 } ], "Related": [ { "LinkType": 0, "Direction": 0 } ] }, "Errors": [ { "Type": 0, "Severity": 0 } ], "Warnings": [ { "Type": 0, "Severity": 0 } ]}Forbidden
object
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}Not Found
object
Grouped active board item links for one item.
object
Runtime board item link row displayed relative to one item.
object
Compact board item summary used by item-link surfaces.
object
Runtime board item link row displayed relative to one item.
object
Compact board item summary used by item-link surfaces.
object
Runtime board item link row displayed relative to one item.
object
Compact board item summary used by item-link surfaces.
object
object
object
object
object
Example
{ "Data": { "Parent": { "LinkType": 0, "Direction": 0 }, "Children": [ { "LinkType": 0, "Direction": 0 } ], "Related": [ { "LinkType": 0, "Direction": 0 } ] }, "Errors": [ { "Type": 0, "Severity": 0 } ], "Warnings": [ { "Type": 0, "Severity": 0 } ]}Conflict
object
Grouped active board item links for one item.
object
Runtime board item link row displayed relative to one item.
object
Compact board item summary used by item-link surfaces.
object
Runtime board item link row displayed relative to one item.
object
Compact board item summary used by item-link surfaces.
object
Runtime board item link row displayed relative to one item.
object
Compact board item summary used by item-link surfaces.
object
object
object
object
object
Example
{ "Data": { "Parent": { "LinkType": 0, "Direction": 0 }, "Children": [ { "LinkType": 0, "Direction": 0 } ], "Related": [ { "LinkType": 0, "Direction": 0 } ] }, "Errors": [ { "Type": 0, "Severity": 0 } ], "Warnings": [ { "Type": 0, "Severity": 0 } ]}